/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-26 16:42:14
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-06-21 16:01:43
 */
#include "InsAIList.hpp"

/**
 * @description: ObjectToJson
 * @return {*}
 */
void InsAIList::ObjectToJson(rapidjson::Writer<rapidjson::StringBuffer>& writer){
    writer.StartObject();
    writer.Key("NAME");
    writer.String(NAME.c_str());

    writer.Key("DESCRIPTION");
    writer.String(DESCRIPTION.c_str());
    
    writer.EndObject();
}

/**
 * @description: objectToJson
 * @param {string&} str
 * @return {*}
 */    
void InsAIList::ObjectToJson(std::string& str) {
}

/**
 * @description: jsonToObject
 * @param {string&} json
 * @return {*}
 */    
bool InsAIList::jsonToObject(const std::string& json) {
    return true;
}

/**
 * @description: jsonToObject
 * @param {Value&} object
 * @return {*}
 */    
bool InsAIList::jsonToObject(const rapidjson::Value& object){
    return true;
}

/**
 * @description: ObjectToSql
 * @param {string&} sql
 * @return {*}
 */    
bool InsAIList::ObjectToSql(std::string& sql) {
    return true;
}

/**
 * @description: ObjectToSql后处理
 * @param {string&} sql
 * @return {*}
 */ 
bool InsAIList::ObjectToSqlBack(std::string & sql){
    return true;
}